From 61d7fd377f428bf228e77f9e64b9e55e903a63f3 Mon Sep 17 00:00:00 2001
From: Matthew Trzcinski <matt@excalamus.com>
Date: Tue, 7 May 2024 21:30:28 +0200
Subject: [PATCH] doc: Clarify need to update search paths on foreign distro.

* doc/guix.texi (Invoking guix pull): Make explicit the need to update PATH
and INFOPATH on foreign distros after running 'guix pull'.  Give example of
where users may make the updates, as well as clearify the explanation why.
---
 doc/guix.texi | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 1c1e0164e7..af08dd4046 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -4403,11 +4403,12 @@ instance, when user @code{root} runs @command{guix pull}, this has no
 effect on the version of Guix that user @code{alice} sees, and vice
 versa.
 
-The result of running @command{guix pull} is a @dfn{profile} available
-under @file{~/.config/guix/current} containing the latest Guix.  Thus,
-make sure to add it to the beginning of your search path so that you use
-the latest version, and similarly for the Info manual
-(@pxref{Documentation}):
+@command{guix pull} creates a new @dfn{profile} in
+@file{~/.config/guix/current} containing the latest Guix.  Users of Guix
+on a foreign distro should add this profile to the beginning of their
+search path (for example in @file{.bashrc}) to ensure that
+@command{guix} and @command{info guix} (@pxref{Documentation}) reference
+the latest versions:
 
 @example
 export PATH="$HOME/.config/guix/current/bin:$PATH"
-- 
2.41.0

